import { BlendProps, Color } from '../types';
export declare type CSSBlendMode = 'normal' | 'multiply' | 'screen' | 'overlay' | 'darken' | 'lighten' | 'color-dodge' | 'color-burn' | 'hard-light' | 'soft-light' | 'difference' | 'exclusion' | 'hue' | 'saturation' | 'color' | 'luminosity';
export interface ShadowProperties {
    shadowColor: Color;
    shadowOffset?: {
        width: number;
        height: number;
    };
    shadowOpacity: number;
    shadowRadius?: number;
}
export interface BlendStyleProperties extends ShadowProperties {
    opacity: number;
    blendMode: CSSBlendMode;
    shadows?: ShadowProperties[];
}
export declare const transformBlendProperties: (styles?: Partial<BlendStyleProperties>) => BlendProps;
