"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var transformColors_1 = require("./transformColors");
exports.transformShadowToEffect = function (styles) {
    var shadows = [styles];
    if ('shadows' in styles && Array.isArray(styles.shadows)) {
        shadows = styles.shadows;
    }
    return shadows.map(function (shadow) { return ({
        type: 'DROP_SHADOW',
        color: transformColors_1.colorToRGBA(shadow.shadowColor, shadow.shadowOpacity),
        offset: shadow.shadowOffset
            ? {
                x: shadow.shadowOffset.width,
                y: shadow.shadowOffset.height
            }
            : {
                x: 0,
                y: 0
            },
        radius: shadow.shadowRadius || 0,
        visible: true,
        blendMode: 'NORMAL'
    }); });
};
//# sourceMappingURL=transformShadowToEffect.js.map